#include <bits/stdc++.h>
using namespace std;
int T,N,M,K,p,br;
long long P[10005][10005];
void Kje1(int n){
  for(int i=1;i<=n;i++){
    p+=i;
  }
}
void Kvece1(int n, int q){
  for(int i = 1;i<=n;i++){
    for(int j = 1;j<=q;j++){
        P[i][j]+=1;
        br++;
    }

  }
}
bool jednakost(){
  int h;
  for(int i = 1;i<=N;i++){
    for(int j = 1; j<=K;j++){
      br=0;
      Kje1(P[i][j]);
    }
  }
  if(h!=0){
    return 0;
  }
  else{
    return 1;
  }
}
int main(){
  cin>>T;
  for(int k = 1;k<=T;k++){
    cin>>N>>M>>K;
    Kje1(N);
    p=0;
    Kvece1(N,K);
    int z;
    z=1;
    int i;
    i = 1;

    if((K==1 and M<p) or (K>1 and jednakost())){
      cout<<"Nie"<<endl;
    }
    else{
    cout<<"Tak"<<endl;
    }
  }
  return 0;
}

/*
n-broj ucenika
m-broj bananica
k-broj grupa
*/